Freeciv-3.1: /fast/freeciv/nightly/S3_1/ai/default/daisettler.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
daisettler.h File Reference
`#include "support.h"`
`#include "ai.h"`
`#include "city.h"`
`#include "fc_types.h"`

Go to the source code of this file.

## Functions

void | dai_auto_settler_init (struct ai_plr *ai)
void | dai_auto_settler_free (struct ai_plr *ai)
void | dai_auto_settler_reset (struct ai_type *ait, struct player *pplayer)
void | dai_auto_settler_run (struct ai_type *ait, const struct civ_map *nmap, struct player *pplayer, struct unit *punit, struct settlermap *state)
void | dai_auto_settler_cont (struct ai_type *ait, const struct civ_map *nmap, struct player *pplayer, struct unit *punit, struct settlermap *state)
void | contemplate_new_city (struct ai_type *ait, struct city *pcity)

## Function Documentation

## ◆ contemplate_new_city()

void contemplate_new_city | ( | struct ai_type * | ait,
|  | struct city * | pcity
| ) |  |

Return want for city settler. Note that we rely here on the fact that citymap_turn_init() has been run while doing autosettlers.

Definition at line 1325 of file daisettler.c.

Referenced by dai_manage_cities().

## ◆ dai_auto_settler_cont()

void dai_auto_settler_cont | ( | struct ai_type * | ait,
|  | const struct civ_map * | nmap,
|  | struct player * | pplayer,
|  | struct unit * | punit,
|  | struct settlermap * | state
| ) |  |

Auto settler continuing its work.

Definition at line 1204 of file daisettler.c.

Referenced by cai_auto_settler_cont(), texwai_auto_settler_cont(), and twai_auto_settler_cont().

## ◆ dai_auto_settler_free()

void dai_auto_settler_free | ( | struct ai_plr * | ai | ) |

Deinitialize ai settler engine.

Definition at line 1248 of file daisettler.c.

Referenced by dai_data_close().

## ◆ dai_auto_settler_init()

void dai_auto_settler_init | ( | struct ai_plr * | ai | ) |

Initialize ai settler engine.

Definition at line 1011 of file daisettler.c.

Referenced by dai_data_init().

## ◆ dai_auto_settler_reset()

void dai_auto_settler_reset | ( | struct ai_type * | ait,
|  | struct player * | pplayer
| ) |  |

Reset ai settler engine.

Definition at line 1217 of file daisettler.c.

Referenced by cai_auto_settler_reset(), dai_manage_cities(), texwai_auto_settler_reset(), and twai_auto_settler_reset().

## ◆ dai_auto_settler_run()

void dai_auto_settler_run | ( | struct ai_type * | ait,
|  | const struct civ_map * | nmap,
|  | struct player * | pplayer,
|  | struct unit * | punit,
|  | struct settlermap * | state
| ) |  |

Auto settler that can also build cities.

Definition at line 1030 of file daisettler.c.

Referenced by cai_auto_settler_run(), dai_auto_settler_run(), texwai_auto_settler_run(), and twai_auto_settler_run().